summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2016-11-02 21:01:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-02 22:53:12 +0700
commitaba79c277e03a3a2df8765b46eab6bba4741eeb6 (patch)
treef4555108c4291fe3c2197e6dc3174ecaf00fdd75 /office
parentae7f55c495c868b4f85266fb1026e9fedd00749b (diff)
downloadslackbuilds-aba79c277e03a3a2df8765b46eab6bba4741eeb6.tar.gz
slackbuilds-aba79c277e03a3a2df8765b46eab6bba4741eeb6.tar.xz
office/multivalent-tool-pdf: Added (PDF tools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/multivalent-tool-pdf/README6
-rw-r--r--office/multivalent-tool-pdf/README.Slackware20
-rw-r--r--office/multivalent-tool-pdf/multivalent-tool-pdf.SlackBuild73
-rw-r--r--office/multivalent-tool-pdf/multivalent-tool-pdf.bash_completion17
-rw-r--r--office/multivalent-tool-pdf/multivalent-tool-pdf.info10
-rw-r--r--office/multivalent-tool-pdf/slack-desc19
-rw-r--r--office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf20
7 files changed, 165 insertions, 0 deletions
diff --git a/office/multivalent-tool-pdf/README b/office/multivalent-tool-pdf/README
new file mode 100644
index 0000000000..5edca84389
--- /dev/null
+++ b/office/multivalent-tool-pdf/README
@@ -0,0 +1,6 @@
+Multivalent is a Java toolkit for document manipulation and viewing.
+In particular, it allows impose, compress, uncompress, info, encrypt,
+decrypt, split, merge, validate PDF files.
+
+This is version 20060102 of Multivalent, the latest version that
+contains the PDF tools. Hence, it is relevant to PDF manipulations only.
diff --git a/office/multivalent-tool-pdf/README.Slackware b/office/multivalent-tool-pdf/README.Slackware
new file mode 100644
index 0000000000..1ce4eb8c52
--- /dev/null
+++ b/office/multivalent-tool-pdf/README.Slackware
@@ -0,0 +1,20 @@
+Multivalent PDF tools can be used via the wrapper
+/usr/bin/multivalent-tool-pdf, for example,
+
+$ multivalent-tool-pdf Compress [options] foo.pdf
+
+There are 18 commands: Compress, Convert, Decrypt, Diff, Embed, Encrypt,
+Extract, Impose, Info, Markup, Merge, Repair, Split, Stamp, Uncompact,
+Uncompress, Undo, Validate.
+
+For commands and their options please see the documentation in
+/usr/doc/multivalent-tool-pdf-@VERSION@/tool-pdf-doc/
+
+_JAVA_OPTIONS environment variable can be used to pass some options to java,
+for example,
+
+$ _JAVA_OPTIONS="-Xmx7680m" multivalent-tool-pdf Compress foo.pdf
+
+Without the wrapper Multivalent can be used as follows:
+
+$ java -classpath /usr/share/java/Multivalent20060102.jar tool.pdf.Compress foo.pdf
diff --git a/office/multivalent-tool-pdf/multivalent-tool-pdf.SlackBuild b/office/multivalent-tool-pdf/multivalent-tool-pdf.SlackBuild
new file mode 100644
index 0000000000..8ef3f69dac
--- /dev/null
+++ b/office/multivalent-tool-pdf/multivalent-tool-pdf.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for multivalent-tool-pdf
+
+# Copyright 2016, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=multivalent-tool-pdf
+VERSION=${VERSION:-0.8.5.20060102}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/java/
+cp Multivalent20060102.jar $PKG/usr/share/java/
+
+mkdir -p $PKG/usr/bin/
+install -m 0755 -o root -g root $CWD/wrapper.multivalent-tool-pdf \
+ $PKG/usr/bin/multivalent-tool-pdf
+sed --in-place "s/@VERSION@/$VERSION/g" $PKG/usr/bin/multivalent-tool-pdf
+
+mkdir -p $PKG/etc/bash_completion.d/
+install -m 0644 -o root -g root $CWD/multivalent-tool-pdf.bash_completion \
+ $PKG/etc/bash_completion.d/multivalent-tool-pdf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a research tool-pdf-doc HowToRun.html $PKG/usr/doc/$PRGNAM-$VERSION
+sed "s/@VERSION@/$VERSION/g" $CWD/README.Slackware > \
+ $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/multivalent-tool-pdf/multivalent-tool-pdf.bash_completion b/office/multivalent-tool-pdf/multivalent-tool-pdf.bash_completion
new file mode 100644
index 0000000000..3667134e1c
--- /dev/null
+++ b/office/multivalent-tool-pdf/multivalent-tool-pdf.bash_completion
@@ -0,0 +1,17 @@
+_multivalent-tool-pdf()
+{
+ local cur prev opts
+ COMPREPLY=()
+ cur="${COMP_WORDS[COMP_CWORD]}"
+ prev="${COMP_WORDS[COMP_CWORD-1]}"
+ opts="Compress Convert Decrypt Diff Embed Encrypt Extract Impose Info Markup Merge Repair Split Stamp Uncompact Uncompress Undo Validate"
+
+ if [[ $prev == "multivalent-tool-pdf" ]] ; then
+ COMPREPLY=( $(compgen -W "$opts" -- $cur) )
+ return 0
+ else
+ COMPREPLY=( $(compgen -f $cur) )
+ return 0
+ fi
+}
+complete -F _multivalent-tool-pdf multivalent-tool-pdf
diff --git a/office/multivalent-tool-pdf/multivalent-tool-pdf.info b/office/multivalent-tool-pdf/multivalent-tool-pdf.info
new file mode 100644
index 0000000000..728f20ef07
--- /dev/null
+++ b/office/multivalent-tool-pdf/multivalent-tool-pdf.info
@@ -0,0 +1,10 @@
+PRGNAM="multivalent-tool-pdf"
+VERSION="0.8.5.20060102"
+HOMEPAGE="http://web.archive.org/web/20060106014546/http://multivalent.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/multivalent-tool-pdf/multivalent-tool-pdf-0.8.5.20060102.tar.gz"
+MD5SUM="688b085ec0ea36a416ae0e34dae1f7e3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/office/multivalent-tool-pdf/slack-desc b/office/multivalent-tool-pdf/slack-desc
new file mode 100644
index 0000000000..33c2920e39
--- /dev/null
+++ b/office/multivalent-tool-pdf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+multivalent-tool-pdf: multivalent-tool-pdf (PDF tools)
+multivalent-tool-pdf:
+multivalent-tool-pdf: Multivalent is a Java toolkit for document manipulation and viewing.
+multivalent-tool-pdf: In particular, it allows impose, compress, uncompress, info, encrypt,
+multivalent-tool-pdf: decrypt, split, merge, validate PDF files.
+multivalent-tool-pdf:
+multivalent-tool-pdf: This is version 20060102 of Multivalent, the latest version that
+multivalent-tool-pdf: contains the PDF tools. Hence, it is relevant to PDF manipulations
+multivalent-tool-pdf: only, for other uses, see newer versions of Multivalent at
+multivalent-tool-pdf: http://multivalent.sourceforge.net.
+multivalent-tool-pdf:
diff --git a/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf b/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
new file mode 100644
index 0000000000..826fd16225
--- /dev/null
+++ b/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+USAGE="Usage: $0 <Command> [options] files\nThe <Command> can be one of the following: Compress, Convert, Decrypt, Diff, Embed, Encrypt, Extract, Impose, Info, Markup, Merge, Repair, Split, Stamp, Uncompact, Uncompress, Undo, Validate\nFor possible options see documentations in /usr/doc/multivalent-tool-pdf-@VERSION@/tool-pdf-doc/"
+if [ "$#" == "0" ]; then
+ echo -e "$USAGE"
+ exit 1
+fi
+
+CMD="$1"
+
+shift
+
+case $CMD in
+ Compress|Convert|Decrypt|Diff|Embed|Encrypt|Extract|Impose|Info|Markup|Merge|Repair|Split|Stamp|Uncompact|Uncompress|Undo|Validate)
+ exec java -classpath /usr/share/java/Multivalent20060102.jar tool.pdf.$CMD "$@"
+ ;;
+ *)
+ echo -e "$USAGE"
+ exit 1
+esac